petsc-3.12.4 2020-02-04
Report Typos and Errors

# ISDuplicate

Creates a duplicate copy of an index set.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISDuplicate(IS is,IS *newIS)

Collective on IS

### Input Parmeters

is -the index set

### Output Parameters

isnew -the copy of the index set

### See Also

ISCreateGeneral(), ISCopy()

### Level

beginner

### Location

src/vec/is/is/interface/index.c

### Implementations

ISDuplicate_Block in src/vec/is/is/impls/block/block.c
ISDuplicate_General in src/vec/is/is/impls/general/general.c
ISDuplicate_Stride in src/vec/is/is/impls/stride/stride.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages